Get member's accounts
curl --request GET \
--url https://{host}/bonus/v1/members/{memberId}/accounts \
--header 'Authorization: <api-key>'import requests
url = "https://{host}/bonus/v1/members/{memberId}/accounts"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{host}/bonus/v1/members/{memberId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"isActive": true,
"isAllowedToSpend": true,
"type": "<string>",
"conversionRate": 123,
"externalId": "<string>",
"availableBalance": 123,
"reservedBalance": 123,
"expiringBalance": {
"header": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"amount": {
"currency": "<string>",
"value": 123
},
"frequency": {
"type": "Day",
"value": 123
},
"notificationPeriodExpiration": {
"amount": {
"currency": "<string>",
"value": 123
},
"label": "<string>"
}
}
}
]{
"name": "<string>",
"message": "<string>",
"details": null
}{
"name": "<string>",
"message": "<string>",
"details": null
}Get member's accounts
Get member’s accounts based on member id. Can include member’s balance in the response.
GET
/
v1
/
members
/
{memberId}
/
accounts
Get member's accounts
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
The id of the member, max length 36
Maximum string length:
36Query Parameters
Indicates whether to include active and reserved balance in the response
Indicates whether to filter for specific account type (optional)
If true, will return the expiring balance
If null, will return all accounts. If true, accounts will be filtered by isActive value
Response
OK
Account id
Flag used to mark if the account is active or not
Flag used to mark if the account can consume the balance or not
Type of the account
Minimum string length:
1Conversion rate
External Id of the account
Maximum string length:
60Available balance in the account
Reserved balance of the account
Show child attributes
Show child attributes
Last modified on August 10, 2026